Skip to main content
GET
/
merchant
/
users
/
{id}
Get sub-user
curl --request GET \
  --url https://api.skinshark.gg/merchant/users/{id} \
  --header 'api-key: <api-key>'
{
  "requestId": "<string>",
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "steamId": "<string>",
    "externalId": "<string>",
    "feeBps": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "wallet": {
      "balance": 123
    }
  },
  "error": {
    "code": 1500,
    "key": "INSUFFICIENT_BALANCE",
    "message": "Insufficient balance"
  }
}

Authorizations

api-key
string
header
required

Your raw API key. Generate, rotate, and revoke keys from the merchant dashboard. Keys can optionally be bound to one or more allowed source IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.

Path Parameters

id
string
required

Sub-user UUID or merchant externalId.

Required string length: 1 - 128

Response

OK.

requestId
string
required
success
boolean
required
data
object

Present when success: true. Shape varies per endpoint.

error
object